Kodefeil tvinger fram ny Firefox-versjon

De nyeste utgavene av Firefox og Thunderbird ble definitivt ikke godt nok testet før utgivelsen.

Det at feilfiksing fører til introduksjon av nye feil, er et kjent dilemma fra programvareindustrien. At man oppdager slikt og utgir feilfikser kun en håndfull dager etter at forrige feilfiks ble introdusert, er derimot ikke like vanlig.

Mozilla Foundation publiserte for en uke siden nye utgaver, 1.0.5, av både Firefox og Thunderbird. I helgen ble det klart at endringer som er blitt gjort i API-et for utvidelser (extensions) til programvaren, har ført til inkompatibilitetsproblemer med enkelte av utvidelsene. Endringene er blitt gjort av sikkerhetsmessige årsaker, men har altså ført til såpass mye problemer at utgaver som rette opp i dette, kan ventes allerede denne uken.

Arbeidet med å tilpasse 1.0.5-versjonene til andre språk enn engelsk, skal ifølge MozillaZine være stoppet. Dette anses som uheldig siden 1.0.5-utgaven tetter en rekke sikkerhetshull.

Kandidatutgaver av 1.0.6-versjonene, i tillegg til Mozilla Suite 1.7.10, er tilgjengelige for testing. De er tilgjengelige fra denne siden.

Til toppen